<?php

namespace App\Modules\GroupProvider\Application\Mask;

use App\Modules\Shared\Domain\Bus\Query\Query;

final class MaskGroupProviderQuery implements Query
{
    public function __construct(
        private int $id,
        private int $mask,
    ) {
    }

    public function id(): int
    {
        return $this->id;
    }

    public function mask(): int
    {
        return $this->mask;
    }
}
